Package io.dapr.client.domain

# Class ComponentMetadata

java.lang.Object
io.dapr.client.domain.ComponentMetadata

public final class ComponentMetadata extends Object
ComponentMetadata describes a Dapr Component.

## Constructor Summary

Constructors
Constructor
Description
`ComponentMetadata(String name, String type, String version, List<String> capabilities)`
Constructor for a ComponentMetadata.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getCapabilities()`
`String`
`getName()`
`String`
`getType()`
`String`
`getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComponentMetadata

public ComponentMetadata(String name, String type, String version, List<String> capabilities)
Constructor for a ComponentMetadata.

Parameters:
  `name` - of the component
  `type` - component type
  `version` - version of the component
  `capabilities` - capabilities of the component

## Method Details

### getName

public String getName()

### getType

public String getType()

### getVersion

public String getVersion()

### getCapabilities

public List<String> getCapabilities()